com.threerings.parlor.client

## Interface InvitationHandler

All Known Implementing Classes:
  LobbyController

    public interface InvitationHandler

A client entity that wishes to handle invitations received by other clients should implement this interface and register itself with the parlor director. It will subsequently be notified of any incoming invitations. It is also responsible for handling cancelled invitations.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `invitationCancelled(Invitation invite)` Called when an invitation is cancelled by the inviting player.
`void` `invitationReceived(Invitation invite)` Called when an invitation is received from another player.

### Method Detail

#### invitationReceived

    void invitationReceived(Invitation invite)

Called when an invitation is received from another player.

Parameters:
  `invite` - the received invitation.

#### invitationCancelled

    void invitationCancelled(Invitation invite)

Called when an invitation is cancelled by the inviting player.

Parameters:
  `invite` - the cancelled invitation.